Fantasy Grounds Fridays Pre
  1. #1

    Fantasy Grounds Classic with FGU errors.

    Since last week's update, when I or my players do almost anything in Fantasy Grounds Classic, we keep getting errors popping up in FGC:
    Script Error: [string "scripts/manager_token.lua"]:37: attempt to call field 'isClientFGU' (a nil value)
    Checked to see if it was just Starfinder - nope, got it in other game types.
    Checked to see if it was universal module - nope

    I keep FGU and FGC with separate libraries, too, because at one time I didn't and bad things happened...

    IsThisFGU.png

  2. #2
    It sounds like some extension is overwriting the UtilityManager script in CoreRPG; which defines that function. Do you get the error in a brand new campaign?

    JPG

  3. #3
    Trenloe's Avatar
    Join Date
    May 2011
    Location
    Isle of Wight, UK (for a bit)
    Posts
    27,548
    What version of CoreRPG is being reporting in the chat window when you load a campaign?
    FG Con 16 Fantasy Grounds Online RPG Convention - Postponed New date To Be Confirmed.
    Register at www.fg-con.com for all the latest info.

    Private Messages: My inbox is forever filling up with PMs. Please don't send me PMs unless they are actually private/personal messages. General FG questions should be asked in the forums - don't be afraid, the FG community don't bite and you're giving everyone the chance to respond and learn!

  4. #4
    @Moon Wizard: Did a quick test of a new 5e campaign and a new Starfinder campaign, no extra modules loaded, got the same error

    @Trenloe: 3.3.10

    Will test again after this week's update drops. If it still does it, I guess my Starfinder campaign will just have to go FGU.

  5. #5
    Trenloe's Avatar
    Join Date
    May 2011
    Location
    Isle of Wight, UK (for a bit)
    Posts
    27,548
    Quote Originally Posted by Transbot9 View Post
    @Trenloe: 3.3.10
    That's the reason - you need to be on v3.3.11B of CoreRPG.

    Do you have a CoreRPG folder in your <FG app data>\rulesets directory? If so, delete it (or rename it if you extracted it for a particular reason) and then load up a FG campaign.

    If you don't have a CoreRPG directory then delete CoreRPG.pak and run an update.

    Then load up a campaign and see what version you have - if it's v3.3.11B then the FGU errors shouldn't occur.
    FG Con 16 Fantasy Grounds Online RPG Convention - Postponed New date To Be Confirmed.
    Register at www.fg-con.com for all the latest info.

    Private Messages: My inbox is forever filling up with PMs. Please don't send me PMs unless they are actually private/personal messages. General FG questions should be asked in the forums - don't be afraid, the FG community don't bite and you're giving everyone the chance to respond and learn!

  6. #6
    Okay, that fixed it. Thank you!

    I think I extracted something at some time to look at something and forgot about it. Also didn't know that Fantasy Grounds treats loose files the same way as modding an Elder Scrolls game. Good to know!
    Last edited by Transbot9; August 4th, 2020 at 22:06.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
5E Storm Kings Thunder Playlist

Log in

Log in